Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(2702)

Unified Diff: chrome/app/tweak_mac_lproj_folders

Issue 171043: Stop shortening the Mac lproj directories (ie-"en-US" instead of "en").... (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src/
Patch Set: '' Created 11 years, 4 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | chrome/chrome.gyp » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: chrome/app/tweak_mac_lproj_folders
===================================================================
--- chrome/app/tweak_mac_lproj_folders (revision 0)
+++ chrome/app/tweak_mac_lproj_folders (revision 0)
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Copyright (c) 2009 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# This script is intended to run from a "postbuild" action from within Xcode.
+# It will create any symlinks needed to sync up what comes from the GRIT files
+# with what Cocoa would like.
+
+set -e
+
+# Working in the resources directory
+cd "${BUILT_PRODUCTS_DIR}/${WRAPPER_NAME}/Contents/Resources"
+
+# Remove the stale zh.lproj
+# TODO: This can go away about 09/01/09, when they won't exist on the bots or
+# developers' local builds.
+rm -rf "zh.lproj" "en.lproj"
+
+# Provide an link for en.lproj that points to en-US.lproj.
+ln -fhs "en-US.lproj" "en.lproj"
Property changes on: chrome/app/tweak_mac_lproj_folders
___________________________________________________________________
Name: svn:executable
+ *
Name: svn:eol-style
+ LF
« no previous file with comments | « no previous file | chrome/chrome.gyp » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698